"use strict";
var fs = require('fs');
var glob = require('glob');
var deleteFolderRecursive = function (path) {
    if (fs.existsSync(path)) {
        fs.readdirSync(path).forEach(function (file, index) {
            var curPath = path + '/' + file;
            if (fs.lstatSync(curPath).isDirectory()) {
                deleteFolderRecursive(curPath);
            }
            else {
                fs.unlinkSync(curPath);
            }
        });
        fs.rmdirSync(path);
    }
};
exports.clean = function (tools) {
    deleteFolderRecursive('./build');
    var rogueFiles = glob.sync('{src,test}/**/*.js{,.map}', {});
    rogueFiles.forEach(function (file) { return fs.unlinkSync(file); });
};
//# sourceMappingURL=clean.js.map