"use strict";
exports.commit = function (tools) {
    var formatter = tools.formatter, linter = tools.linter, bus = tools.bus, compiler = tools.compiler, git = tools.git, logger = tools.logger;
    formatter.format().then(function () {
        formatter.startVerifying('compile-compiled');
        linter.start('format-verified');
        bus.register('lint-linted', function () {
            compiler.stop();
            formatter.stopVerifying();
            linter.stop();
            git.execute(['add', '.']).then(function () {
                git.execute(['commit', '--no-verify']).then(function () {
                    logger.log('commit', 'committed');
                    process.exit(0);
                });
            }, function (error) { return logger.error('commit', error); });
        });
        compiler.start();
    });
};
//# sourceMappingURL=commit.js.map