"use strict";
var Mocha = require('mocha');
require('source-map-support').install();
var sendResponse = function (response) {
    process.send(response);
};
var reporter = function (runner) {
    runner.on('fail', function (test, err) {
        sendResponse({ testResult: { fileName: test.file, title: test.title, error: err.message, stack: err.stack } });
    });
    runner.on('pass', function (test) {
        sendResponse({ testResult: { fileName: test.file, title: test.title } });
    });
    // runner.on('start', function() {
    //   console.log('start');
    // });
    // runner.on('suite', function() {
    //   console.log('suite');
    // });
    // runner.on('test end', function() {
    //   console.log('test end');
    // });
    // runner.on('pending', function() {
    //   console.log('pending');
    // });
    // runner.on('end', function() {
    //   console.log('end');
    // });
    return {};
};
var mocha = new Mocha({ reporter: reporter });
process.on('message', function (msg) {
    msg.testFiles.forEach(function (testFile) {
        mocha.addFile(testFile);
    });
    mocha.run(function (failures) {
        sendResponse({ finished: { success: failures === 0 } });
        process.exit(0);
    });
});
//# sourceMappingURL=mocha-process.js.map